<?php
/**
 * @file
 * financial_year.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function financial_year_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'financial_year-financial_year-field_financial_year'
  $field_instances['financial_year-financial_year-field_financial_year'] = array(
    'bundle' => 'financial_year',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'date',
        'settings' => array(
          'field_formatter_class' => '',
          'format_type' => 'short',
          'fromto' => 'both',
          'multiple_from' => '',
          'multiple_number' => '',
          'multiple_to' => '',
        ),
        'type' => 'date_default',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'financial_year',
    'field_name' => 'field_financial_year',
    'label' => 'Financial year',
    'required' => 0,
    'settings' => array(
      'default_value' => 'now',
      'default_value2' => 'strtotime',
      'default_value_code' => '',
      'default_value_code2' => '+365 days',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'date',
      'settings' => array(
        'increment' => 15,
        'input_format' => 'd/m/Y - H:i:s',
        'input_format_custom' => '',
        'label_position' => 'none',
        'text_parts' => array(),
        'year_range' => '-3:+3',
      ),
      'type' => 'date_select',
      'weight' => 101,
    ),
  );

  // Exported field_instance: 'financial_year_settings-financial_year_settings-field_financial_year_ref'
  $field_instances['financial_year_settings-financial_year_settings-field_financial_year_ref'] = array(
    'bundle' => 'financial_year_settings',
    'default_value' => array(
      0 => array(
        'target_id' => 3,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'entityreference',
        'settings' => array(
          'field_formatter_class' => '',
          'link' => FALSE,
        ),
        'type' => 'entityreference_label',
        'weight' => 1,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'financial_year_settings',
    'field_lock' => 0,
    'field_name' => 'field_financial_year_ref',
    'label' => 'Financial year',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 103,
    ),
  );

  // Exported field_instance: 'financial_year_settings-financial_year_settings-field_open_lock'
  $field_instances['financial_year_settings-financial_year_settings-field_open_lock'] = array(
    'bundle' => 'financial_year_settings',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(
          'field_formatter_class' => '',
        ),
        'type' => 'list_default',
        'weight' => 2,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'financial_year_settings',
    'field_lock' => 0,
    'field_name' => 'field_open_lock',
    'label' => 'Open/Lock',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_buttons',
      'weight' => 104,
    ),
  );

  // Exported field_instance: 'financial_year_settings-financial_year_settings-field_sl_no'
  $field_instances['financial_year_settings-financial_year_settings-field_sl_no'] = array(
    'bundle' => 'financial_year_settings',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'serial',
        'settings' => array(
          'field_formatter_class' => '',
        ),
        'type' => 'serial_formatter_default',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'financial_year_settings',
    'field_lock' => 0,
    'field_name' => 'field_sl_no',
    'label' => 'Sl no',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'serial',
      'settings' => array(),
      'type' => 'serial',
      'weight' => 102,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Financial year');
  t('Open/Lock');
  t('Sl no');

  return $field_instances;
}
