<?php
/**
 * @file
 * financial_year.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function financial_year_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function financial_year_views_api() {
  return array("api" => "3.0");
}

/**
 * Implements hook_eck_bundle_info().
 */
function financial_year_eck_bundle_info() {
  $items = array(
  'financial_year_financial_year' => array(
  'machine_name' => 'financial_year_financial_year',
  'entity_type' => 'financial_year',
  'name' => 'financial_year',
  'label' => 'Financial year',
),
  'financial_year_settings_financial_year_settings' => array(
  'machine_name' => 'financial_year_settings_financial_year_settings',
  'entity_type' => 'financial_year_settings',
  'name' => 'financial_year_settings',
  'label' => 'Financial year settings',
),
  );
  return $items;
}

/**
 * Implements hook_eck_entity_type_info().
 */
function financial_year_eck_entity_type_info() {
$items = array(
       'financial_year' => array(
  'name' => 'financial_year',
  'label' => 'Financial year',
  'properties' => array(
    'title' => array(
      'label' => 'Title',
      'type' => 'text',
      'behavior' => 'title',
    ),
  ),
),
       'financial_year_settings' => array(
  'name' => 'financial_year_settings',
  'label' => 'Financial year settings',
  'properties' => array(),
),
  );
  return $items;
}
